<%# This list template is a fork of direction/_jtbd-list.erb , adapted for Secure and Protect JTBDs %>
<div>
<% data.jobs_to_be_done.each do |primary_jtbd| %>
    <% if primary_jtbd.group == stage_key && (primary_jtbd.parent.nil? || primary_jtbd.parent.empty?) %>
      <h4><%= primary_jtbd.short_jtbd %></h4>
      <p><%= primary_jtbd.jtbd %></p>
      <table style="width: 100%">
        <colgroup>
          <col style="width: 20%;" span="1">
          <col style="width: 46%;" span="1">
          <col style="width: 13%;" span="1">
          <col style="width: 12%;" span="1">
          <col style="width: 9%;" span="1">
        </colgroup>
        <tr>
          <th>Micro Job</th>
          <th>Job statement</th>
          <th>Maturity</th>
          <th>Confidence</th>
          <th>Source</th>
        </tr>

      <% data.jobs_to_be_done.each do |secondary_jtbd| %>
          <% if primary_jtbd.group == stage_key && (secondary_jtbd.parent == primary_jtbd.slug) %>
              <tr>
                <td>
                  <%= secondary_jtbd.micro_job %>
                </td>
                <td>
                  <%= secondary_jtbd.jtbd %>
                </td>
                <td>
                  <%= ux_grade(secondary_jtbd.grade) %>
                </td>
                <td>
                  <%= secondary_jtbd.confidence %>
                </td>
                <td>
                  <% if secondary_jtbd.source %>
                    <a href="<%= secondary_jtbd.source %>">Issue</a>
                  <% end %>
                </td>
              </tr>
          <% end %>
      <% end %>
      </table>
    <% end %>
<% end %>
</div>
